%define	shortname	compizconfig
%define	name		compizconfig-python
%define	version		0.9.5.94
%define	rel			0
%define	subrel		4
%define	git			bzr168

%define	libname	%mklibname %name
%define	libname_devel	%mklibname -d %name

%if %{git}
%define	srcname		%{name}-%{git}.tar.xz
%define	distname	%{name}-%{git}
%define	release		%mkrel %{rel}.%{git}
%else
%define	srcname		%{name}-%{version}.tar.bz2
%define	distname	%{name}-%{version}
%define	release		%mkrel %{rel}
%endif

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Python bindings for libcompizconfig
Group:		System/X11
URL:		http://www.compiz.org/
License:	LGPLv2+

# get source from launchpad
# bzr branch lp:compiz-core
# pushd compiz-core
# bzr export --format=tar ../compiz-bzrcommit_id.tar
# popd
# xz -z -e compiz-bzrcommit_id.tar

Source0:	%{srcname}

BuildRequires:	cmake
BuildRequires:	compiz-devel >= %{version}
BuildRequires:	libcompizconfig-devel >= %{version}
BuildRequires:	python-pyrex
BuildRequires:	python-cython
BuildRequires:	pkgconfig(python)

%description
Python bindings for libcompizconfig

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Library files for %{name}
Group:		System/X11

Provides:	%{name} = %{version}-%{release}
Requires:	libcompizconfig-common

%description -n %libname
Python Bindings for Compiz Settings

%files -n %{libname}
%{py_platsitedir}/%{shortname}.so
%{py_platsitedir}/%{shortname}*.egg-info

#----------------------------------------------------------------------------

%prep
%setup -q -n %{distname}

%build

%cmake
%make

%install
%__rm -rf %{buildroot}

python setup.py install -O2 --skip-build --root %{buildroot}

find %{buildroot} -name *.la -exec rm -f {} \;

#----------------------------------------------------------------------------


%changelog

* Thu Apr 26 2012 julien <julien> 0.9.5.94-0.bzr168.4.mga2
+ Revision: 233369
- rebuild for new compiz

* Fri Mar 23 2012 julien <julien> 0.9.5.94-0.bzr168.3.mga2
+ Revision: 225826
- rebuild for new libcompizconfig

* Sat Mar 03 2012 julien <julien> 0.9.5.94-0.bzr168.2.mga2
+ Revision: 217405
- rebuild for new compiz

* Thu Feb 23 2012 julien <julien> 0.9.5.94-0.bzr168.1.mga2
+ Revision: 212702
- add BR on python
- correct BR for python-cython
- rebuild for new compiz
- drop useless BR

* Sun Feb 05 2012 julien <julien> 0.9.5.94-0.bzr168.mga2
+ Revision: 204820
- update to prerelease from launchpad
- drop upstream patch0

* Sun Jan 22 2012 julien <julien> 0.9.5.92-3.mga2
+ Revision: 199862
- fix segfault in 32 bits, patch borrowed from ubuntu

* Sun Nov 27 2011 julien <julien> 0.9.5.92-2.mga2
+ Revision: 173059
- clean up spec a bit

* Sun Nov 06 2011 julien <julien> 0.9.5.92-1.mga2
+ Revision: 164338
- clean some warnings
- update to 0.9.5.92
- drop devel package

* Sun Jul 10 2011 julien <julien> 0.8.4-4.mga2
+ Revision: 121725
- correct license (lgplv2+ instead of gpl)
- add require on common files of libcompizconfig
- drop really old Obsoletes
- fix description
- cleanup spec

* Mon Feb 28 2011 eandry <eandry> 0.8.4-3.mga1
+ Revision: 61791
- clean spec
- fix source and url

  + colin <colin>
    - imported package compizconfig-python

